<article class="card">
  <app-figure [itemImage]="data.img" class="card__img"></app-figure>
  <div class="card__img__icon">
    <i class="fa-solid fa-crown card__icon {{data.favorite && 'card__icon--like'}}" (click)="toggleLike(data)" ></i>
  </div>
  <div class="card__info">
    <p class="card__detail card__detail--name">{{data.nameTrack}}</p>
    <p class="card__detail">{{data.artist}}</p> 
  </div>
</article>